#ifndef HTTPFORWARD_H
#define HTTPFORWARD_H

#include <time.h>

class HttpForward
{
protected:

    const char *pURL;
    bool        usePost;
    CURL        *curlHandle;
    char    urlBuffer[2048];

public:
    HttpForward( const char *_pURLformat, bool _usePost = false );
    ~HttpForward();

    int Forward( const char *msg );
};

#endif // HTTPFORWARD_H
